<?php declare(strict_types = 1);

namespace Apitte\Core\Handler;

use Apitte\Core\UI\Controller\IController;
use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;

class ServiceCallback
{

	/** @var IController */
	private $service;

	/** @var string */
	private $method;

	public function __construct(IController $service, string $method)
	{
		$this->service = $service;
		$this->method = $method;
	}

	public function getService(): IController
	{
		return $this->service;
	}

	public function getMethod(): string
	{
		return $this->method;
	}

	/**
	 * @return mixed
	 */
	public function __invoke(ServerRequestInterface $request, ResponseInterface $response)
	{
		return call_user_func([$this->service, $this->method], $request, $response);
	}

}
